Subject: Re: netif_rx packet dumping

From: Baruch Even <[email-masked]>
Date: Thu, 03 Mar 2005 22:31:28 +0000

jamal wrote:
> On Thu, 2005-03-03 at 16:26, Baruch Even wrote:
> 
> 
>>NAPI was not used because it caused skews in the performance, I haven't 
>>tested it myself, just passing hearsay.
> 
> It will help to post on this list when such issues are noticed.
> It could be a simple a driver bug: such a the one posted on by Lennert 2
> days ago on e1000 NAPI - such a bug could have had serious repurcasions
> on TCP because it sat on packets in DMA occasionally upto 2 seconds.
> Seems like that bug has been sitting there for a long time.
> What kernel version? What kind of skews?
> Is it possible you tell this person to repeat the tests with 2.6.11?

I have asked around but there is no hard data to substantiate the claim 
at this time. And since then all tests were done non-NAPI style.

Kernel versions were probably 2.4.23 or some other 2.4 kernel.

Baruch